<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <!-- interface-requires gtk+ 3.20 -->
  <object class="GtkShortcutsWindow" id="shortcuts-siril">
    <property name="modal">1</property>
    <child>
      <object class="GtkShortcutsSection">
        <property name="visible">1</property>
        <property name="section-name">shortcuts</property>
        <property name="max-height">10</property>
        <child>
          <object class="GtkShortcutsGroup">
            <property name="visible">1</property>
            <property name="title" translatable="yes" context="shortcut window">Images / Videos</property>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;o</property>
                <property name="title" translatable="yes" context="shortcut window">Open an image / video</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;s</property>
                <property name="title" translatable="yes" context="shortcut window">Save the loaded image</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;&lt;shift&gt;s</property>
                <property name="title" translatable="yes" context="shortcut window">Save the image with a new filename</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;w</property>
                <property name="title" translatable="yes" context="shortcut window">Close the image / sequence</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;plus</property>
                <property name="title" translatable="yes" context="shortcut window">Zoom in</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;minus</property>
                <property name="title" translatable="yes" context="shortcut window">Zoom out</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;0</property>
                <property name="title" translatable="yes" context="shortcut window">Fit the image to the window</property>
              </object>
            </child>
             <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;1</property>
                <property name="title" translatable="yes" context="shortcut window">Zoom to 100%</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkShortcutsGroup">
            <property name="visible">1</property>
            <property name="title" translatable="yes" context="shortcut window">Undo and Redo</property>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;z</property>
                <property name="title" translatable="yes" context="shortcut window">Undo previous command</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;&lt;shift&gt;z</property>
                <property name="title" translatable="yes" context="shortcut window">Redo previous command</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkShortcutsGroup">
            <property name="visible">1</property>
            <property name="title" translatable="yes" context="shortcut window">Image Processing</property>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;i</property>
                <property name="title" translatable="yes" context="shortcut window">Negative transformation</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;Right</property>
                <property name="title" translatable="yes" context="shortcut window">Rotate 90 degrees, clockwise</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;Left</property>
                <property name="title" translatable="yes" context="shortcut window">Rotate 90 degrees, counter-clockwise</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;Up</property>
                <property name="title" translatable="yes" context="shortcut window">Horizontal mirror</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;Down</property>
                <property name="title" translatable="yes" context="shortcut window">Vertical mirror</property>
              </object>
            </child>
           </object>
        </child>
        <child>
          <object class="GtkShortcutsGroup">
            <property name="visible">1</property>
            <property name="title" translatable="yes" context="shortcut window">Tools</property>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;p</property>
                <property name="title" translatable="yes" context="shortcut window">Open preferences</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">F10</property>
                <property name="title" translatable="yes" context="shortcut window">Open application menu</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;F6</property>
                <property name="title" translatable="yes" context="shortcut window">Open dynamic PSF window</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;d</property>
                <property name="title" translatable="yes" context="shortcut window">Change working directory</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;&lt;shift&gt;a</property>
                <property name="title" translatable="yes" context="shortcut window">Open plate solver dialog</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;&lt;shift&gt;p</property>
                <property name="title" translatable="yes" context="shortcut window">Open photometric color calibration dialog</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;slash</property>
                <property name="title" translatable="yes" context="shortcut window">Search an object in the image</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;space</property>
                <property name="title" translatable="yes" context="shortcut window">Pick the star within the selection</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;&lt;shift&gt;c</property>
                <property name="title" translatable="yes" context="shortcut window">Copy snapshot to clipboard</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkShortcutsGroup">
            <property name="visible">1</property>
            <property name="title" translatable="yes" context="shortcut window">Windows and Application</property>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;f</property>
                <property name="title" translatable="yes" context="shortcut window">Fullscreen on / off</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;t</property>
                <property name="title" translatable="yes" context="shortcut window">Hide / Show toolbar</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">F1</property>
                <property name="title" translatable="yes" context="shortcut window">Switch to the Conversion page</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">F2</property>
                <property name="title" translatable="yes" context="shortcut window">Switch to the Sequence page</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">F3</property>
                <property name="title" translatable="yes" context="shortcut window">Switch to the Pre-Processing page</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">F4</property>
                <property name="title" translatable="yes" context="shortcut window">Switch to the Registration page</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">F5</property>
                <property name="title" translatable="yes" context="shortcut window">Switch to the Plot page</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">F6</property>
                <property name="title" translatable="yes" context="shortcut window">Switch to the Stacking page</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">F7</property>
                <property name="title" translatable="yes" context="shortcut window">Switch to the Output logs page</property>
              </object>
            </child>
            <child>
              <object class="GtkShortcutsShortcut">
                <property name="visible">1</property>
                <property name="accelerator">&lt;Primary&gt;q</property>
                <property name="title" translatable="yes" context="shortcut window">Quit the application</property>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
  </object>
</interface>
